# Method: customers.reports.countPrintJobsByPrinter

- [HTTP request](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countPrintJobsByPrinter#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countPrintJobsByPrinter#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countPrintJobsByPrinter#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countPrintJobsByPrinter#body.request_body)
- [Response body](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countPrintJobsByPrinter#body.response_body)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countPrintJobsByPrinter#body.CountPrintJobsByPrinterResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countPrintJobsByPrinter#body.aspect)
- [PrinterReport](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countPrintJobsByPrinter#PrinterReport)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countPrintJobsByPrinter#PrinterReport.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countPrintJobsByPrinter#try-it)

Get a summary of printing done by each printer.

### HTTP request

`GET https://chromemanagement.googleapis.com/v1/{customer=customers/*}/reports:countPrintJobsByPrinter`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` Required. Customer ID prefixed with "customers/" or "customers/my_customer" to use the customer associated to the account making the request. |

### Query parameters

| Parameters ||
|---|---|
| `printerOrgUnitId` | `string` The ID of the organizational unit for printers. If specified, only data for printers from the specified organizational unit will be returned. If omitted, data for printers from all organizational units will be returned. |
| `pageSize` | `integer` Maximum number of results to return. Maximum and default are 100. |
| `pageToken` | `string` Token to specify the page of the response to be returned. |
| `filter` | `string` Query string to filter results, AND-separated fields in EBNF syntax. Note: OR operations are not supported in this filter. Note: Only \>= and \<= comparators are supported in this filter. Supported filter fields: - completeTime |
| `orderBy` | `string` Field used to order results. If omitted, results will be ordered in ascending order of the 'printer' field. Supported orderBy fields: - printer - jobCount - deviceCount - userCount |

### Request body

The request body must be empty.

### Response body

Response containing a summary printing report for each printer from the specified organizational unit for the requested time interval.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "printerReports": [ { object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countPrintJobsByPrinter#PrinterReport`) } ], "nextPageToken": string, "totalSize": string } ``` |

| Fields ||
|---|---|
| `printerReports[]` | ``object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.reports/countPrintJobsByPrinter#PrinterReport`)`` List of PrinterReports matching request. |
| `nextPageToken` | `string` Pagination token for requesting the next page. |
| `totalSize` | `string (https://developers.google.com/discovery/v1/type-format format)` Total number of printers matching request. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chrome.management.reports.readonly`

## PrinterReport

Report for reports.countPrintJobsByPrinter, contains statistics on printer usage. Contains the total number of print jobs initiated with this printer, the number of users and the number of devices that have initiated at least one print job with this printer.

| JSON representation |
|---|
| ``` { "printerId": string, "printer": string, "printerModel": string, "jobCount": string, "userCount": string, "deviceCount": string } ``` |

| Fields ||
|---|---|
| `printerId` | `string` Printer API ID. |
| `printer` | `string` Printer name. |
| `printerModel` | `string` Printer model. |
| `jobCount` | `string (https://developers.google.com/discovery/v1/type-format format)` Number of print jobs sent to the printer. |
| `userCount` | `string (https://developers.google.com/discovery/v1/type-format format)` Number of users that have sent print jobs to the printer. |
| `deviceCount` | `string (https://developers.google.com/discovery/v1/type-format format)` Number of chrome devices that have been used to send print jobs to the specified printer. |